Forums | Mahara User Group (MUG)

General Discussion /
Important notice for Mahoodle users


Kristina Hoeppner's profile picture
Posts: 3395

27 November 2012, 8:04 AM

Hello Mahoodle (Mahara + Moodle) users,

A serious bug was discovered affecting all Mahoodle users who are using Firefox. It only affects the latest version of Firefox, Firefox 17. If you are using it, you won't be able to log in from Moodle to Mahara due to a change that Mozilla implemented. The error message that you get when you try to jump to Mahara only tells you that you can't log in. But it works fine in another browser.

You can follow the discussion for finding the best solution at https://bugs.launchpad.net/mahara/+bug/1082416 and we hope to have a fix soon.

In the meantime, please use another browser.

Cheers

Kristina

Kristina Hoeppner's profile picture
Posts: 3395

27 November 2012, 1:52 PM

Hello,

If you only have Firefox and need to make the connection working quickly before your Moodle and Mahara can be updated, you could also be adventurous and change a setting in your Firefox 17:

  1. In Firefox 17 in a new window type "about:config" into the address bar.
  2. Accept that you understand the security risk.
  3. Search for the string "useragent.complexOverride.moodle". You should only get one line.
  4. Double click on "true" in the "Value" column. There is no "Save" button.
  5. Close the browser window / tab.

Cheers

Kristina

Kristina Hoeppner's profile picture
Posts: 3395

28 November 2012, 10:03 PM

Hello,

Patches for the Firefox 17 user agent issue for Mahoodle are in git for Mahara 1.5 and 1.6. If you can't wait until we release 1.5.8 and 1.6.3, you can get them from there. More info on the issue and links to the bugs in Firefox and Moodle at https://bugs.launchpad.net/mahara/+bug/1082416

See http://tracker.moodle.org/browse/MDL-36838 for more info and the Moodle patches for Moodle 2 and 1.9.

Cheers

Kristina

3 results